﻿using System.Windows;
using System.Windows.Input;
using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;

namespace DeleteRecordFieldApp
{
	public class DeleteRecordField : Field
	{
		public DeleteRecordField()
		{
			Label = string.Empty;
			BindingType = BindingType.Unbound;
			IsEnabledInAddRecord = false;

			Settings.AllowResize = false;
			Settings.AllowGroupBy = false;
			Settings.AllowRecordFiltering = false;
			Settings.AllowSummaries = false;
			Settings.CellWidth = 20;
			Settings.LabelWidth = 20;
		}

		private void DeleteRecord(object sender, MouseButtonEventArgs e)
		{
			// Force the record to become selected if it is not, so that DataPresenterCommand is fired
			DataRecordPresenter recordPresenter = Utilities.GetAncestorFromType(sender as DependencyObject, typeof(DataRecordPresenter), false) as DataRecordPresenter;
			recordPresenter.Record.IsSelected = true;

			if (recordPresenter.DataPresenter is XamDataGrid grid)
			{
				grid.ExecuteCommand(DataPresenterCommands.DeleteSelectedDataRecords);
			}
		}
	}
}
